# This file created by conda-build 3.22.0
# ------------------------------------------------

package:
  name: opencv
  version: 4.6.0
source:
  - fn: opencv-4.6.0.zip
    sha256: 158db5813a891c7eda8644259fc1dbd76b21bd1ffb9854a8b4b8115a4ceec359
    url: https://github.com/opencv/opencv/archive/4.6.0.zip
  - fn: opencv_contrib-4.6.0.tar.gz
    folder: opencv_contrib-4.6.0
    sha256: 1777d5fd2b59029cf537e5fd6f8aa68d707075822f90bde683fcde086f85f7a7
    url: https://github.com/opencv/opencv_contrib/archive/4.6.0.tar.gz
build:
  ignore_run_exports:
    - glib
    - gst-plugins-base
    - gstreamer
    - hdf5
    - libpng
    - libtiff
    - libwebp-base
    - qt-main
    - qt-webengine
    - qtwebkit
    - zlib
  number: 2
  string: py310ha7641e4_2
requirements:
  build:
    - bzip2 1.0.8 he774522_0
    - ca-certificates 2022.07.19 haa95532_0
    - cmake 3.22.1 h9ad04ae_0
    - glib 2.69.1 h5dc1a3c_1
    - libffi 3.4.2 hd77b12b_4
    - libiconv 1.16 h2bbff1b_2
    - libuv 1.40.0 he774522_0
    - lz4-c 1.9.3 h2bbff1b_1
    - ninja 1.10.2 haa95532_5
    - ninja-base 1.10.2 h6d14046_5
    - openssl 1.1.1q h2bbff1b_0
    - pcre 8.45 hd77b12b_0
    - pkg-config 0.29.2 h8cc25b3_0
    - python 3.10.4 hbb2ffb3_0
    - sqlite 3.39.3 h2bbff1b_0
    - tk 8.6.12 h2bbff1b_0
    - tzdata 2022c h04d1e81_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.8.4 haa95532_0
    - xz 5.2.6 h8cc25b3_0
    - zlib 1.2.12 h8cc25b3_3
    - zstd 1.5.2 h19a0ad4_0
  host:
    - blas 1.0 mkl
    - bzip2 1.0.8 he774522_0
    - ca-certificates 2022.07.19 haa95532_0
    - cmake 3.22.1 h9ad04ae_0
    - eigen 3.3.7 h59b6b97_1
    - glib 2.69.1 h5dc1a3c_1
    - gst-plugins-base 1.18.5 h9e645db_0
    - gstreamer 1.18.5 hd78058f_0
    - hdf5 1.10.6 h1756f20_1
    - icc_rt 2022.1.0 h6049295_1
    - icu 58.2 ha925a31_3
    - intel-openmp 2021.4.0 haa95532_3556
    - jpeg 9e h2bbff1b_0
    - libclang 12.0.0 default_h627e005_2
    - libffi 3.4.2 hd77b12b_4
    - libiconv 1.16 h2bbff1b_2
    - libogg 1.3.5 h2bbff1b_1
    - libpng 1.6.37 h2a8f88b_0
    - libprotobuf 3.20.1 h23ce68f_0
    - libtiff 4.1.0 h8a3f274_2
    - libuv 1.40.0 he774522_0
    - libvorbis 1.3.7 he774522_0
    - libwebp 1.2.2 h2bbff1b_0
    - libwebp-base 1.2.2 h2bbff1b_0
    - libxml2 2.9.14 h0ad7f3c_0
    - libxslt 1.1.35 h2bbff1b_0
    - lz4-c 1.9.3 h2bbff1b_1
    - mkl 2021.4.0 haa95532_640
    - mkl-service 2.4.0 py310h2bbff1b_0
    - mkl_fft 1.3.1 py310ha0764ea_0
    - mkl_random 1.2.2 py310h4ed8f06_0
    - numpy 1.21.5 py310h6d2d95c_3
    - numpy-base 1.21.5 py310h206c741_3
    - openssl 1.1.1q h2bbff1b_0
    - pcre 8.45 hd77b12b_0
    - python 3.10.4 hbb2ffb3_0
    - qt-main 5.15.2 he8e5bd7_7
    - qt-webengine 5.15.9 hb9a9bb5_4
    - qtwebkit 5.212 h3ad3cdb_4
    - six 1.16.0 pyhd3eb1b0_1
    - sqlite 3.39.3 h2bbff1b_0
    - tk 8.6.12 h2bbff1b_0
    - tzdata 2022c h04d1e81_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - xz 5.2.6 h8cc25b3_0
    - zlib 1.2.12 h8cc25b3_3
    - zstd 1.5.2 h19a0ad4_0
  run:
    - eigen
    - glib
    - gst-plugins-base ==1.18.5
    - gstreamer ==1.18.5
    - hdf5
    - libpng
    - libprotobuf >=3.20.1,<3.21.0a0
    - libtiff
    - libwebp-base
    - numpy
    - python >=3.10,<3.11.0a0
    - qt-main >=5.15,<6
    - qt-webengine >=5.15.7,<6
    - qtwebkit =5
    - vc >=14.1,<15.0a0
    - vs2015_runtime >=14.16.27012,<15.0a0
    - zlib
test:
  commands:
    - pushd test-cmake
    - cmake . -GNinja -DCMAKE_BUILD_TYPE=Release
    - cmake --build . --verbose
    - popd
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_aruco460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_bgsegm460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_calib3d460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_ccalib460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_core460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_datasets460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_features2d460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_flann460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_fuzzy460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_highgui460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_imgcodecs460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_imgproc460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_line_descriptor460.dll exit
      1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_ml460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_optflow460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_phase_unwrapping460.dll exit
      1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_photo460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_plot460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_reg460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_rgbd460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_saliency460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_shape460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_stereo460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_stitching460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_structured_light460.dll exit
      1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_superres460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_surface_matching460.dll exit
      1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_tracking460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_video460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_videoio460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_videostab460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_xfeatures2d460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_ximgproc460.dll exit 1
    - if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_xphoto460.dll exit 1
  files:
    - test-cmake/CMakeLists.txt
    - test-cmake/DisplayImage.cpp
    - test.cpp
  requires:
    - cmake
    - ninja
    - numpy
    - python >=3.10,<3.11.0a0
    - vs2017_win-64
about:
  description: 'OpenCV (Open Source Computer Vision Library) includes several hundreds
    of computer vision algorithms.

    It has a modular structure,which means that the package includes several shared
    or static libraries.

    '
  dev_url: https://github.com/opencv/opencv/
  doc_source_url: https://github.com/opencv/opencv/tree/master/doc
  doc_url: https://docs.opencv.org/
  home: https://opencv.org/
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: Computer vision and machine learning software library.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 74a46fad-38a6-4a76-b98b-0f5bd5a0ec8c
  remote_url: git@github.com:AnacondaRecipes/opencv-feedstock.git
  sha: 42fc0782dbd9749f0ba00e6d43eec5448b01db4b
